class SelectedPaymentMethod {
  final String type;
  final String? method;
  final EasyPay? easyPay;
  final Transfer? transfer;
  final String? paymentMethodKey;

  const SelectedPaymentMethod(
      {required this.type,
      this.method,
      this.easyPay,
      this.transfer,
      this.paymentMethodKey});

  static SelectedPaymentMethod fromJson(params) {
    String type = params['type'];
    String? method = params['method'];

    String? easyPayProvider = params['easyPay']?['provider'];
    EasyPay? easyPay =
        (easyPayProvider != null) ? EasyPay(provider: easyPayProvider) : null;

    String? transferProvider = params['transfer']?['provider'];
    Transfer? transfer = (transferProvider != null)
        ? Transfer(provider: transferProvider)
        : null;

    String? paymentMethodKey = params['paymentMethodKey'];

    return SelectedPaymentMethod(
        type: type,
        method: method,
        easyPay: easyPay,
        transfer: transfer,
        paymentMethodKey: paymentMethodKey);
  }
}

class EasyPay {
  final String? provider;

  const EasyPay({
    this.provider,
  });
}

class Transfer {
  final String? provider;

  const Transfer({this.provider});
}
